import java.util.Scanner;

public class Main {
	
	public static void main(String[] args) {
	
		Scanner s = new Scanner (System.in);
	
		int n = s.nextInt();
		int x = s.nextInt();
		
		int najviselevo = 0;
		int najvisedesno = 0;
		
		int konacno = 0;
		
	    boolean desno = false;
	    boolean levo = false;
	    
	    for(int i = 0; i < n; i++) {
	    
	    	int a = s.nextInt();
	    	
	    	if(a>x && Math.abs(x-a)>najvisedesno) {
	    		
	    		najvisedesno = Math.abs(x-a);
	    		desno = true;
	    		
	    	} 
	    	
	    	if(a<x && Math.abs(x-a)>najviselevo) {
	    		
	    		najviselevo = Math.abs(x-a);
	    		levo = true;
	    		
	    	} 
	    	
	    	 
	    	
	    }
	    
	    
	    

	    if(desno == true && levo == true) {
	    	
	    	
	    	
	    	konacno = 2*Math.min(najviselevo, najvisedesno) + Math.max(najviselevo, najvisedesno);
	    	
	    }
	    
	    
	    if(desno == true && levo == false) {
	    	
	    	
	    	konacno = najvisedesno;
	    	
	    }
	    
	    if(desno == false && levo == true) {
	    	
	    	konacno = najviselevo;
	    	
	    }
	    
	    System.out.println(konacno);
	    
	

	
	
	

	
	}
	
	
}